Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452190 - Cylindrix crashes in round 2 of tournament
Summary: Cylindrix crashes in round 2 of tournament
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cylindrix
Version: 9
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-19 23:47 UTC by Kevin Kofler
Modified: 2009-02-18 18:14 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-18 18:14:59 UTC


Attachments (Terms of Use)

Description Kevin Kofler 2008-06-19 23:47:54 UTC
Description of problem:
Cylindrix reproducibly crashes in the second round of a tournament game.

Version-Release number of selected component (if applicable):
cylindrix-1.0-4.fc8

How reproducible:
Always (tried twice, crashed both times).

Steps to Reproduce:
1. Start a tournament game.
2. Beat round 1 against the scavengers.
3. Watch it introducing the Bok, loading some data, then crashing.
  
Actual results:
Crash.

Expected results:
No crash.

Comment 1 Gwyn Ciesla 2008-06-20 12:45:57 UTC
I'm not an a position to play currently.  Can you try running under gdb and
posting the output after the crash?  If not, I'll do it when I get a chance.

Comment 2 Bug Zapper 2008-11-26 10:54:03 UTC
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Kevin Kofler 2008-11-26 11:18:56 UTC
I can retest if needed, but I doubt this has been fixed yet, the version in F9 is exactly the same except for the disttag.

Comment 4 Gwyn Ciesla 2008-11-26 13:08:16 UTC
A retest on F-9 or F-10 would be great.  I can't beat round 1. :)

Comment 5 Kevin Kofler 2008-11-26 14:40:25 UTC
I just retested it, it still happens on F9.

Beating the scavengers is not that hard, you just have to pick the "wasp" with 2 "wasp" wing ships, that ship has lots of shields, then fire around like mad and you might get lucky. :-)

Comment 6 Gwyn Ciesla 2008-11-26 14:45:15 UTC
Ok, I'll give it a go if I get a chance.  Thanks for the tip. :)

Comment 7 Gwyn Ciesla 2008-11-26 19:25:48 UTC
Broken in F-10, but leaving in F-9 so I remember to push an eventual fix that far.

Looks like it's passing a bad path for some files in /usr/share/cylindrix/3d_data from /usr/share/cylindrix/gamedata/level10.dat.  I played around with it with ghex2 for a little while, and made minor headway, but there's got to be a more elegant solution.  Mostly revolves around using Windows-style slashes.  Straight replacement causes partial filenames.  Not sure if this can be escaped, this is my first time editing binary data manually.

Comment 8 Gwyn Ciesla 2009-02-10 14:11:25 UTC
Submitted a message about this upstream via his website's feedback form, not sure of any other contact info.

Comment 9 Gwyn Ciesla 2009-02-13 17:00:41 UTC
Upstream gave me a corrected data file, which works wonderfully.

Built and bodhi'd for F-10 and F-9.

Comment 10 Gwyn Ciesla 2009-02-18 18:14:59 UTC
Pushed to stable, bug not closed by bodhi.


Note You need to log in before you can comment on or make changes to this bug.